# Stage 1
FROM node:14.15.4 as node
WORKDIR /app
COPY . .
RUN npm install
RUN npm run build -- --configuration=production --base-href=./
# Stage 2
FROM nginx:alpine
COPY --from=node /app/www /usr/share/nginx/html
EXPOSE 80
